Functions
Configuration functions
Peripheral Driver » LL Driver » TIMER » Functions

## Functions
__STATIC_INLINE void | ll_timer_enable_counter (timer_regs_t *TIMERx)
| Enable timer counter. More...
__STATIC_INLINE void | ll_timer_disable_counter (timer_regs_t *TIMERx)
| Disable timer counter. More...
__STATIC_INLINE uint32_t | ll_timer_is_enabled_counter (timer_regs_t *TIMERx)
| Indicate whether the timer counter is enabled. More...
__STATIC_INLINE void | ll_timer_set_counter (timer_regs_t *TIMERx, uint32_t counter)
| Set the counter value. More...
__STATIC_INLINE uint32_t | ll_timer_get_counter (timer_regs_t *TIMERx)
| Get the counter value. More...
__STATIC_INLINE void | ll_timer_set_auto_reload (timer_regs_t *TIMERx, uint32_t auto_reload)
| Set the auto-reload value. More...
__STATIC_INLINE uint32_t | ll_timer_get_auto_reload (timer_regs_t *TIMERx)
| Get the auto-reload value. More...

## Detailed Description

## Function Documentation

## ◆ ll_timer_disable_counter()

__STATIC_INLINE void ll_timer_disable_counter | ( | timer_regs_t * | TIMERx | ) |

Disable timer counter.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CTRL | EN | +———————-+———————————–+ \endrst

Parameters

  TIMERx | Timer instance

Return values

  None |

Definition at line 187 of file gr55xx_ll_tim.h.

## ◆ ll_timer_enable_counter()

__STATIC_INLINE void ll_timer_enable_counter | ( | timer_regs_t * | TIMERx | ) |

Enable timer counter.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CTRL | EN | +———————-+———————————–+ \endrst

Parameters

  TIMERx | Timer instance

Return values

  None |

Definition at line 168 of file gr55xx_ll_tim.h.

## ◆ ll_timer_get_auto_reload()

__STATIC_INLINE uint32_t ll_timer_get_auto_reload | ( | timer_regs_t * | TIMERx | ) |

Get the auto-reload value.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | RELOAD | RELOAD | +———————-+———————————–+ \endrst

Parameters

  TIMERx | Timer instance

Return values

  Auto-reload | value

Definition at line 285 of file gr55xx_ll_tim.h.

## ◆ ll_timer_get_counter()

__STATIC_INLINE uint32_t ll_timer_get_counter | ( | timer_regs_t * | TIMERx | ) |

Get the counter value.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | VALUE | VALUE | +———————-+———————————–+ \endrst

Parameters

  TIMERx | Timer instance

Return values

  Counter | value (between Min_Data=0 and Max_Data=0xFFFFFFFF)

Definition at line 245 of file gr55xx_ll_tim.h.

## ◆ ll_timer_is_enabled_counter()

__STATIC_INLINE uint32_t ll_timer_is_enabled_counter | ( | timer_regs_t * | TIMERx | ) |

Indicate whether the timer counter is enabled.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CTRL | EN | +———————-+———————————–+ \endrst

Parameters

  TIMERx | Timer instance

Return values

  State | of bit (1 or 0).

Definition at line 206 of file gr55xx_ll_tim.h.

## ◆ ll_timer_set_auto_reload()

__STATIC_INLINE void ll_timer_set_auto_reload | ( | timer_regs_t * | TIMERx,
|  | uint32_t | auto_reload
| ) |  |

Set the auto-reload value.

Note
  The counter is blocked while the auto-reload value is null.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | RELOAD | RELOAD | +———————-+———————————–+ \endrst

Parameters

  TIMERx | Timer instance
  auto_reload | between Min_Data=0 and Max_Data=0xFFFFFFFF

Return values

  None |

Definition at line 266 of file gr55xx_ll_tim.h.

## ◆ ll_timer_set_counter()

__STATIC_INLINE void ll_timer_set_counter | ( | timer_regs_t * | TIMERx,
|  | uint32_t | counter
| ) |  |

Set the counter value.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | VALUE | VALUE | +———————-+———————————–+ \endrst

Parameters

  TIMERx | Timer instance
  counter | Counter value (between Min_Data=0 and Max_Data=0xFFFFFFFF)

Return values

  None |

Definition at line 226 of file gr55xx_ll_tim.h.